/**
 * adds autoSize, implemented in development version
 */
dhtmlXTabBar.prototype.cells = function(id){
    if (!this._tabs[id]) return null;
    if (!this._content[id]){
        var d=document.createElement("DIV");
        d.style.cssText="width:100%;height:100%;visibility:hidden;overflow:hidden;position:absolute;top:0px; left:0px;";
        d.setAttribute("tab_id",id);
        d.skin = this.skin;
        this._conZone.appendChild(d);
        (new dhtmlXContainer(d)).setContent(d);
        this._content[id]=d;
        var self=this; //can cause memory leak
        d.show = function(){ 
            if (self._s.hide)
                this.style.display="";
            this.style.visibility="visible";
            this.style.zIndex="1";
            this.autoSize();
            this._activate();
        }
        d.hide = function(){
            if (self._s.hide){
                this.style.visibility="visible";
                this.style.display="none";
            } else
                this.style.visibility="hidden";
            this.style.zIndex=-1;
            if (self._hrfmode=="iframe") this.attachURL("javascript:false");
        }
        d.autoSize = function(){
            if (self._awdj || self._ahdj){
                if (!this.mainCont.offsetWidth)
                    this.mainCont.style.width=Math.max(0,self.entBox.offsetWidth - 2)+"px";
                if (self._ahdj)
                    this.mainCont.style.height="1px";
                    
                var dim = this._getContentDim();
                if (self._awdj){
                    self.entBox.style.width=dim[0]+2+"px";
                    this.mainCont.style.width=dim[0]+"px";
                }
                if (self._ahdj){
                    self._tabAll.style.height = self.entBox.style.height=dim[1]+self._rows.length*(self._s.line_height-2)+(self._s.expand?0:2)+2+"px";
                    this.mainCont.style.height=dim[1]+"px";
                }
                self._setSizes();
                self._setTabTop(self._lastActive);
            }
        }
        d._activate=function(){
            if (this._delay) 
                this._attachContent.apply(this,this._delay);
            this.activate();
            if (self._hrfmode!="iframe") 
                this._delay=null;
        }
        d.activate=function(){
            this.adjustContent(this.parentNode,0,0,false,0);
            d.updateNestedObjects();
        }
        d._doOnAttachStatusBar = d.activate;
        d._doOnAttachMenu = d.activate;
        d._doOnAttachToolbar = d.activate;          
        d._getContentDim=function(){
            return [this.mainCont.scrollWidth,this.mainCont.scrollHeight];
        }
        d._doOnAttachURL=function(){
            if (self._awdj || self._ahdj)
                self.cells(id).autoSize();              
            self.callEvent("onXLE",[]);
            self.callEvent("onTabContentLoaded",[this.getAttribute("tab_id")]);
        }
        d._doOnBeforeAttachURL=function(){
            self.callEvent("onXLS",[]);
        }
        d.adjustContent(d.parentNode,0,0,false,0);
    }
    return this._content[id];
}


dhtmlxCalendarLangModules = new Array();
dhtmlxCalendarLangModules['ru'] = {
    langname: 'ru',
    dateformat: '%d.%m.%Y',
    monthesFNames: ["Январь", "Февраль", "Март", "Апрель", "Май", "Июнь", "Июль", "Август", "Сентябрь", "Октябрь", "Ноябрь", "Декабрь"],
    monthesSNames: ["Янв", "Фев", "Мар", "Апр", "Май", "Июн", "Июл", "Авг", "Сен", "Окт", "Ноя", "Дек"],
    daysFNames: ["Воскресенье", "Понедельник", "Вторник", "Среда", "Четверг", "Пятница", "Суббота"],
    daysSNames: ["Вс", "Пн", "Вт", "Ср", "Чт", "Пт", "Сб"],
    weekend: [0, 6],
    weekstart: 1,
    msgClose: "Закрыть",
    msgMinimize: "Свернуть",
    msgToday: "Сегодня"
}

dhtmlxCalendarLangModules['de'] = {
    langname: 'de',
    dateformat: '%d.%m.%Y',
    monthesFNames: ["Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"],
    monthesSNames: ["Jan", "Feb", "Mär", "Apr", "Mai", "Jun", "Jul", "Aug", "Sep", "Okt", "Nov", "Dez"],
    daysFNames: ["Sonntag", "Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag", "Samstag"],
    daysSNames: ["So", "Mo", "Di", "Mi", "Do", "Fr", "Sa"],
    weekend: [0, 6],
    weekstart: 1,
    msgClose: "Schließen",
    msgMinimize: "Minimieren",
    msgToday: "Heute"
}

dhtmlxCalendarLangModules['pt'] = {
	    langname: 'pt',
	    dateformat: '%Y-%m-%d',
	    monthesFNames: ["Janeiro", "Fevereiro", "Março", "Abril", "Maio", "Junho", "Julho", "Agosto", "Setembro", "Outubro", "Novembro", "Dezembro"],
	    monthesSNames: ["Jan", "Fev", "Mar", "Abr", "Mai", "Jun", "Jul", "Ago", "Sey", "Out", "Nov", "Dez"],
	    daysFNames: ["Domingo", "Segunda", "Terça", "Quarta", "Quinta", "Sexta", "Sábado"],
	    daysSNames: ["Dom", "Seg", "Ter", "Qua", "Qui", "Sex", "Sab"],
	    weekend: [0, 6],
	    weekstart: 1,
	    msgClose: "Fechar",
	    msgMinimize: "Minimizar",
	    msgToday: "Hoje"
}


dhtmlxCalendarLangModules ['fr'] = {
		LangName: 'fr',
		DateFormat: '%Y-%m-%d',
		monthesFNames: ["Janvier", "Février", "Mars", "Avril", "peut", "Juin", "Juillet", "août", "Septembre", "Octobre ","Novembre", "Décembre"],
		monthesSNames: ["Jan", "Feb", "Mar", "avril", "Mai", "Jun", "Jul", "Août", "Sey", "Out", "Nov", "Dec"],
		daysFNames: ["Dimanche", "Lundi", "Mardi", "Mercredi", "Jeudi", "Vendredi", "Samedi"],
		daysSNames: ["di", "lu", "ma", "me", "je", "ve", "sa"],
		weekend: [0, 6],
		weekstart: 1,
		msgClose: "Fermer",
		msgMinimize: "Minimize",
		msgToday: "Aujourd'hui"
}


dhtmlxCalendarLangModules ['es'] = {
		LangName: 'es',
		DateFormat: '%Y-%m-%d',
		monthesFNames: ["Enero", "Febrero", "Marzo", "Abril", "May", "Junio", "Julio", "Agosto", "Septiembre", "Octubre", "Noviembre", "Diciembre"],
		monthesSNames: ["Jan", "febrero", "Mar", "abril", "Mai", "Jun", "julio", "agosto", "Sey", "Out", "noviembre", "diciembre"],
		daysFNames: ["Domingo", "Lunes", "Martes", "Miércoles", "Jueves", "Viernes", "Sábado"],
		daysSNames: ["dom", "lun", "mar", "mié", "jue", "vie", "sáb"],
		weekend: [0, 6],
		weekstart: 1,
		msgClose: "Cerrar",
		msgMinimize: "Minimizar",
		msgToday: "Hoy"
}